#ifndef CONFIG_H
#define CONFIG_H

/********************************************************
 * Update the following definitions if needed.
 *******************************************************/
#define u8	unsigned char
#define s8	char
#define u32	unsigned int
#define s32	int

/********************************************************
 * Do NOT change the following definitions
 *******************************************************/
/* Communication API implemented in hw.c */
extern void hw_write(s8 *buf, u32 size);
extern u32 hw_read(s8 *buf, u32 size);
extern void hw_init(void);

/* CTP protocol API implemented in ctp.c*/
extern s32 ctp_control(s8 *name, s8 *prop, s8 *value);
extern s32 ctp_query(s8 *name, s8 *prop, s8 *value);
extern s32 ctp_event(s8 *name, s8 *prop, s8 *value);
extern void ctp_init(void);

/*Global control status count for ctp debug*/
extern u32 ok_count;
extern u32 fail_count;
extern u32 unknown_count;
extern u32 error_count;

#endif
